Bug 1010060 - [abrt] rawstudio-2.0-11.fc19: _dbus_watch_invalidate: Process /usr/bin/rawstudio was killed by signal 11 (SIGSEGV)
[abrt] rawstudio-2.0-11.fc19: _dbus_watch_invalidate: Process /usr/bin/rawstu...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rawstudio (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
abrt_hash:4cc6e0a6adc817b69805a5c4635...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 16:23 EDT by Bruno A. Crespo
Modified: 2015-02-17 12:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:15:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.27 KB, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details
File: core_backtrace (57.44 KB, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details
File: dso_list (14.94 KB, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details
File: environ (2.41 KB, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details
File: maps (74.70 KB, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details
File: open_fds (106 bytes, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details
File: var_log_messages (318 bytes, text/plain)
2013-09-19 16:23 EDT, Bruno A. Crespo
no flags Details

  None (edit)
Description Bruno A. Crespo 2013-09-19 16:23:17 EDT
Description of problem:
just start the program

Version-Release number of selected component:
rawstudio-2.0-11.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/rawstudio
crash_function: _dbus_watch_invalidate
executable:     /usr/bin/rawstudio
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _dbus_watch_invalidate at dbus-watch.c:171
 #1 free_watches at dbus-transport-socket.c:83
 #2 socket_disconnect at dbus-transport-socket.c:987
 #3 _dbus_transport_disconnect at dbus-transport.c:509
 #4 _dbus_transport_queue_messages at dbus-transport.c:1165
 #5 _dbus_connection_get_dispatch_status_unlocked at dbus-connection.c:4211
 #6 dbus_connection_get_dispatch_status at dbus-connection.c:4342
 #7 message_queue_prepare at dbus-gmain.c:71
 #8 g_main_context_prepare at gmain.c:3328
 #11 gtk_main at gtkmain.c:1257

Potential duplicate: bug 920897
Comment 1 Bruno A. Crespo 2013-09-19 16:23:21 EDT
Created attachment 800133 [details]
File: backtrace
Comment 2 Bruno A. Crespo 2013-09-19 16:23:24 EDT
Created attachment 800134 [details]
File: cgroup
Comment 3 Bruno A. Crespo 2013-09-19 16:23:26 EDT
Created attachment 800135 [details]
File: core_backtrace
Comment 4 Bruno A. Crespo 2013-09-19 16:23:30 EDT
Created attachment 800136 [details]
File: dso_list
Comment 5 Bruno A. Crespo 2013-09-19 16:23:32 EDT
Created attachment 800137 [details]
File: environ
Comment 6 Bruno A. Crespo 2013-09-19 16:23:35 EDT
Created attachment 800138 [details]
File: exploitable
Comment 7 Bruno A. Crespo 2013-09-19 16:23:38 EDT
Created attachment 800139 [details]
File: limits
Comment 8 Bruno A. Crespo 2013-09-19 16:23:41 EDT
Created attachment 800140 [details]
File: maps
Comment 9 Bruno A. Crespo 2013-09-19 16:23:43 EDT
Created attachment 800141 [details]
File: open_fds
Comment 10 Bruno A. Crespo 2013-09-19 16:23:46 EDT
Created attachment 800142 [details]
File: proc_pid_status
Comment 11 Bruno A. Crespo 2013-09-19 16:23:49 EDT
Created attachment 800143 [details]
File: var_log_messages
Comment 12 Anders Brander 2014-12-03 02:50:21 EST
This is probably a duplicate of bug #920897.

Fixed upstream:
https://github.com/rawstudio/rawstudio/commit/b3d41ee01797c7ce3f07b3132404f7f4663e0e82
Comment 13 Fedora End Of Life 2015-01-09 14:54:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 12:15:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.